function [q,me,toGlobal]=getMeshArrays(type,d,small)
  assert(ismember(type,{'2D','3D','3Ds'}))
  env=fc_meshtools.environment();
  if nargin==2,small=false;end
  assert(islogical(small));
%    fullname=mfilename('fullpath');
%    I=strfind(fullname,filesep);
%    DataDir=fullfile(fullname(1:(I(end-1)-1)),'data');
  DataDir=env.data_dir;
  
  if small
    filename=fullfile(DataDir,sprintf('mesh%dsimp%s_small.mat',d,type));
  else
    filename=fullfile(DataDir,sprintf('mesh%dsimp%s.mat',d,type));
  end
  if exist(filename)==2
    R=load(filename);
  else
    error('Unable to load %s\n',filename)
  end
  q=R.q;me=R.me;toGlobal=R.toGlobal;
end
