function S=gitinfo()
% FUNCTION fc_meshtools.gitinfo(): returns some informations on the package/toolbox.
%
%    Copyright (C) 2018-2019 F. Cuvelier <cuvelier@math.univ-paris13.fr>
%
  S=struct('name','fc-meshtools', 'tag','0.1.0','commit','1ff2eeb3682f6b205dcbfc3fa8f44b4422eab0f3','date', '2019-03-22','time','09-03-53','status',0);return; % automatically updated
  rep=fc_meshtools.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='';
    commit='';
    strdate='';
    strtime='';
    S=struct('name','fc-mesh','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
